<!--
 * @Author: chris
 * @Date: 2025-08-20 17:06:41
 * @LastEditors: chris
 * @LastEditTime: 2025-08-21 10:47:52
-->
<script setup>
const props = defineProps({
  params: {
    type: Object,
    default: () => ({
      pestTypes: [] 
    })
  },
  options: {
    type: Array,
    default: () => []
  }
})

const emits = defineEmits(['update:params'])

const queryParams = ref({...props.params});

watch(() => queryParams.value, (newVal) => {
  emits('update:params', newVal)
})
</script>

<template>
  <el-row class="chart-action">
    <el-col :span="12" :offset="18">
      <el-select v-model="queryParams.pestTypes" placeholder="请选择" style="width: 240px;">
        <el-option
          v-for="item in options"
          multiple
          :key="item.value"
          :label="item.label"
          :value="item.value"
        />
      </el-select>
    </el-col>
  </el-row>
</template>

<style lang="scss" scoped>
</style>
